import { Module } from '@nestjs/common';
import { ScheduleModule } from '@nestjs/schedule';
import { TypeOrmModule } from '@nestjs/typeorm';
import { AppController } from './app.controller';
import { AppService } from './app.service';
import { SystemUsageModule } from './system-usage/system-usage.module';

@Module({
  imports: [
    ScheduleModule.forRoot(),
    TypeOrmModule.forRoot({
      type: 'mysql',
      host: '127.0.0.1',
      port: 3306,
      username: 'root', // 默认用户名
      password: 'oneapimmysql', // 设置的新密码
      database: 'nest_mysql', // 建议的数据库名称
      entities: [__dirname + '/**/*.entity{.ts,.js}'],
      synchronize: false,
      logging: true, // 添加日志以帮助调试
    }),
    SystemUsageModule,
  ],
  controllers: [AppController],
  providers: [AppService],
})
export class AppModule {}
