import { Injectable, CanActivate, ExecutionContext } from '@nestjs/common';
import { Observable } from 'rxjs';

@Injectable()
export class AuthGuard implements CanActivate {
  private readonly staticToken = 'SECRET_STATIC_TOKEN'; // 替换为你的静态token

  canActivate(
    context: ExecutionContext,
  ): boolean | Promise<boolean> | Observable<boolean> {
    const request = context.switchToHttp().getRequest();
    const authHeader = request.headers['authorization'];
    
    if (!authHeader) {
      return false;
    }

    const token = authHeader.split(' ')[1]; // Bearer <token>
    return token === this.staticToken;
  }
}