import { NestFactory } from '@nestjs/core';
import { AppModule } from './app.module';
import { SystemUsageCron } from './system-usage/system-usage.cron';
import * as dotenv from 'dotenv';

dotenv.config();

async function bootstrap() {
  const app = await NestFactory.create(AppModule);

  // 启动定时任务
  const systemUsageCron: SystemUsageCron = app.get(SystemUsageCron);
  systemUsageCron.startCronJob();

  const server = await app.listen(0);
  console.log(`Application is running on port ${server.address().port}`);
}
bootstrap();
