import { Controller, Get, Post, Body, Param, Query, UseGuards } from '@nestjs/common';
import { SystemUsageService } from './system-usage.service';
import { SystemUsage } from './system-usage.entity';
import { AuthGuard } from '../auth/auth.guard';

@Controller('system-usage')
@UseGuards(AuthGuard)
export class SystemUsageController {
  constructor(private readonly systemUsageService: SystemUsageService) {}

  // @Post()
  // create(
  //   @Body()
  //   usageData: {
  //     cpuUsage: number;
  //     gpuUsage: number;
  //     memoryUsage: number;
  //   },
  // ): Promise<SystemUsage> {
  //   return this.systemUsageService.create(usageData);
  // }

  // @Get()
  // findAll(): Promise<SystemUsage[]> {
  //   return this.systemUsageService.findAll();
  // }

  // @Get(':id')
  // findOne(@Param('id') id: string): Promise<SystemUsage | null> {
  //   return this.systemUsageService.findOne(+id);
  // }

  @Get('latest')
  getLatestUsage(@Query('interval') interval: string) {
    if (!['minute', 'hour', 'day'].includes(interval)) {
      throw new Error('Invalid interval parameter. Allowed values: minute, hour, day');
    }
    return this.systemUsageService.getLatestUsage(
      interval as 'minute' | 'hour' | 'day'
    );
  }
}
